petsc-3.4.2 2013-07-02

# SNESKSPSetParametersEW

Sets parameters for Eisenstat-Walker convergence criteria for the linear solvers within an inexact Newton method.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESKSPSetParametersEW(SNES snes,PetscInt version,PetscReal rtol_0,PetscReal rtol_max,PetscReal gamma,PetscReal alpha,PetscReal alpha2,PetscReal threshold)

Logically Collective on SNES

### Input Parameters

| snes | - SNES context
| version | - version 1, 2 (default is 2) or 3
| rtol_0 | - initial relative tolerance (0 <= rtol_0 < 1)
| rtol_max | - maximum relative tolerance (0 <= rtol_max < 1)
| gamma | - multiplicative factor for version 2 rtol computation (0 <= gamma2 <= 1)
| alpha | - power for version 2 rtol computation (1 < alpha <= 2)
| alpha2 | - power for safeguard
| threshold | - threshold for imposing safeguard (0 < threshold < 1)

### Note

Version 3 was contributed by Luis Chacon, June 2006.

Use PETSC_DEFAULT to retain the default for any of the parameters.

### Reference

S. C. Eisenstat and H. F. Walker, "Choosing the forcing terms in an inexact Newton method", Utah State University Math. Stat. Dept. Res. Report 6/94/75, June, 1994, to appear in SIAM J. Sci. Comput.

### Keywords

SNES, KSP, Eisenstat, Walker, set, parameters

### See Also

SNESKSPSetUseEW(), SNESKSPGetUseEW(), SNESKSPGetParametersEW()

Level:advanced
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages